Bug 1787140 - Review Request: python-pymeeus - Python implementation of Jean Meeus astronomical routines
Summary: Review Request: python-pymeeus - Python implementation of Jean Meeus astronom...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-31 13:54 UTC by Fabian Affolter
Modified: 2020-01-24 17:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-18 03:31:51 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-12-31 13:54:21 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pymeeus.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pymeeus-0.3.6-1.fc31.src.rpm

Project URL: https://github.com/architest/pymeeus

Description:
PyMeeus is a Python implementation of the astronomical algorithms described
in the classical book "Astronomical Algorithms, 2nd Edition, Willmann-Bell
Inc. (1998)" by Jean Meeus.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40010735

rpmlint output:
$ rpmlint python-pymeeus-0.3.6-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-pymeeus-0.3.6-1.fc31.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab


This is a dependency for python-convertdate and its test suite.

Comment 1 Robert-André Mauchin 🐧 2020-01-07 18:19:40 UTC
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/PyMeeus-%{version}.tar.gz

→

Source0:        %{pypi_source}


 - Use %{python3_version} or a glob * instead of ?.? because Python 3.10 will break this package otherwise:


%{python3_sitelib}/PyMeeus-%{version}-py*.egg-info


 - Delete hidden empty file:

python-pymeeus-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-pymeeus-doc/html/.nojekyll
python-pymeeus-doc.noarch: E: zero-length /usr/share/doc/python-pymeeus-doc/html/.nojekyll



 - License ok
 - Latest version packaged
 - Builds in mock
 - Conforms to Packaging Guidelines

Package approved. Please fix the aforementioned issue before import.

Comment 2 Gwyn Ciesla 2020-01-07 22:25:55 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pymeeus

Comment 3 Fabian Affolter 2020-01-09 11:07:58 UTC
Thanks for the review

Comment 4 Fedora Update System 2020-01-10 00:09:31 UTC
python-pymeeus-0.3.6-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-277348a6bc

Comment 5 Fedora Update System 2020-01-10 01:02:56 UTC
python-pymeeus-0.3.6-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3588b093ee

Comment 6 Fedora Update System 2020-01-10 01:43:09 UTC
python-pymeeus-0.3.6-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c11111227e

Comment 7 Fedora Update System 2020-01-18 03:31:51 UTC
python-pymeeus-0.3.6-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-01-18 20:54:02 UTC
python-pymeeus-0.3.6-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-01-24 17:43:24 UTC
python-pymeeus-0.3.6-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.